Cinema S24 Compatibility
Posted: 29 April 2021 10:17 AM   [ Ignore ]  
Total Posts:  4
Joined  2020-08-20

I,

Is there going to be an update of the Cineversity plugins to be compatible with Cinema 4D S24

The plugin I use the most: CV-Art-Smart

Exemple:

These plugins give error in the console when loading Cinema 4D S24

CV-ArtSmart
  D:\VFX__Assets\Cinema 4D - Plugin folder (R24)\CV-ArtSmart\CV-ArtSmartObject.pyp:303: SyntaxWarning: “is not” with a literal. Did
  you mean “!=”?
    if name is not “Paths”:
  CV-ArtSmart v2.92 // http://www.cineversity.com/vidplaylist/cv-artsmart

>>>>>>>>>>>>>
I downloaded the plugin again, the web page say Current Version: 2.82 !
The file in the zip say 2.94
The console say 2.92 ?
>>>>>>>>>>>>>


CV-SwIm
  v3.2.1
  AttributeError:‘YYYY’ is already registered as a token
  The above exception was the direct cause of the following exception:
  Traceback (most recent call last):
    File “D:\VFX__Assets\Cinema 4D - Plugin folder (R24)\CV-Tokens\R21\CV-Tokens.pypv”, line 269, in <module>
  SystemError:<built-in function RegisterToken> returned a result with an error set
  >>>

Plugins that I use and loaded with no errors:
CV-dynamic-connector
CV-Effectors
CV-Import Image As
CV-PlaneSmart
CV-Splines To Objects
CV-StopMotion
CV-Tokens

Profile
 
 
Posted: 29 April 2021 10:24 AM   [ Ignore ]   [ # 1 ]  
Administrator
Avatar
Total Posts:  404
Joined  2006-01-24

Didn’t realize there was a compatibility issue with CV-ArtSmart. I’ll dig into that immediately.

CV-Tokens has been integrated in S24 as native functionality, so the plugin shouldn’t be used anymore.

Profile
 
 
Posted: 29 April 2021 10:51 AM   [ Ignore ]   [ # 2 ]  
Total Posts:  4
Joined  2020-08-20

I,

Thanks for the fast reply.

Also:
I update my original post with more details

Profile
 
 
Posted: 29 April 2021 10:52 AM   [ Ignore ]   [ # 3 ]  
Total Posts:  4
Joined  2020-08-20

Will remove token, tanks

Quick suggestion:
Mention that the plugin CV-Token is not to be use for S24 and up !
Has been integrated in S24

on the page of the plugin https://www.cineversity.com/vidplaylist/cv-tokens/cv-tokens

Profile
 
 
Posted: 29 April 2021 11:05 AM   [ Ignore ]   [ # 4 ]  
Administrator
Avatar
Total Posts:  404
Joined  2006-01-24

Looks like that error didn’t prevent usage of ArtSmart, but I just uploaded 2.95 which should fix the console warning.

Profile
 
 
Posted: 29 April 2021 12:14 PM   [ Ignore ]   [ # 5 ]  
Total Posts:  4
Joined  2020-08-20

Tested the new version,

No error


Thanks for the fix

My 2 cent:
The download page still say Current Version: 2.82
I would simply remove it completely like other plugin, that don’t have any mention of version on the download page

Image Attachments
163_ltDTGW97B5.jpg
Profile
 
 
Posted: 06 May 2021 12:45 PM   [ Ignore ]   [ # 6 ]  
Total Posts:  2
Joined  2017-04-19

A question about CV-tokens and S24; I read that it is now integrated in C4D. The Take Parent token is available unfortunately Take Hierarchy is not available… Is this something this could be added to CV Toolbox in the next update?

Profile